import React from 'react';
import {ActivityIndicator, DeviceEventEmitter} from "react-native";
import {Theme, Toast} from "teaset";

export default class CommonUtil {

    static toast = null

    static formatAmount(amount) {
        return (amount / 100).toFixed(2) + '';
    }

    static isMobile(str) {
        let reg = /^[1][0-9]{10}$/;
        return reg.test(str);
    }

    static isCardNo(card) {
        let reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
        return reg.test(card);
    }

    static trim(str) {
        if (!str) {
            return '';
        }
        return str.replace(/^(\s*)|(\s*)$/g, '');
    }

    static showLoading(str) {
        CommonUtil.toast = Toast.show({
            text: str,
            icon: <ActivityIndicator size='large' color={Theme.toastIconTintColor}/>,
            position: 'center',
            duration: 60000
        });
        return CommonUtil.toast
    }

    static hideLoading() {
        if (CommonUtil.toast) {
            Toast.hide(CommonUtil.toast);
        }
    }

    static logOut(){
        DeviceEventEmitter.emit('LOG_OUT');
    }
}
